Bug 16807 - Frameworks unordered in dropdown when adding/editing a biblio
Summary: Frameworks unordered in dropdown when adding/editing a biblio
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 14889
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-24 13:56 UTC by Nick Clemens
Modified: 2017-12-07 22:15 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16807 - Frameworks unordered in dropdown when adding/editing a biblio (2.13 KB, patch)
2016-06-24 14:01 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 16807: Frameworks unordered in dropdown when adding/editing a biblio (2.22 KB, patch)
2016-06-24 14:53 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16807 - Use Koha::BiblioFrameworks instead of GetFrameWorkLoop (2.48 KB, patch)
2016-06-24 16:06 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16807: Frameworks unordered in dropdown when adding/editing a biblio (2.26 KB, patch)
2016-06-24 16:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16807 - Use Koha::BiblioFrameworks instead of GetFrameWorkLoop (2.53 KB, patch)
2016-06-24 16:16 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2016-06-24 13:56:57 UTC
addbiblio.pl  should use GetFrameWorksLoop instead of getframeworks
Comment 1 Nick Clemens 2016-06-24 14:01:15 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-06-24 14:53:22 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-24 15:35:28 UTC
I removes GetFrameWorksLoop in bug 15801 (needs QA), could you please avoid to introduce a new call to it?
Comment 4 Jonathan Druart 2016-06-24 15:35:40 UTC
s/removes/removed
Comment 5 Nick Clemens 2016-06-24 16:06:17 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2016-06-24 16:16:11 UTC
Created attachment 52833 [details] [review]
Bug 16807: Frameworks unordered in dropdown when adding/editing a biblio

To test:
Start to add or edit a biblio
Open the dropdown to change framework
Notice the order
Refresh the page - notice the order changes
Apply patch
Order is alphabetical
Refresh the page
Order does not change

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as described

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Kyle M Hall 2016-06-24 16:16:20 UTC
Created attachment 52834 [details] [review]
Bug 16807 - Use Koha::BiblioFrameworks instead of GetFrameWorkLoop

Refactor code to use work from 14889

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Kyle M Hall 2016-07-08 13:06:15 UTC
Pushed to master for 16.11, thanks Nick!
Comment 9 Barton Chittenden 2016-07-12 15:06:17 UTC
Can this be back-ported? It looks like a fairly small patch.
Comment 10 Frédéric Demians 2016-08-01 13:27:02 UTC
Pushed in 16.05. Will be in 16.05.02.